#!/usr/local/bin/perl

#
# Fixes some syntax errors that commentors may have made
# outputs to stdout
#
# usage:
# fix.pl comments.txt 

$progname = "fix.pl";
$argc = scalar(@ARGV);

if ($argc != 1) {
	printf("Usage: $progname commentfile.txt\n");
	exit(1);
}

open(cfile, @ARGV[0]) or die "Can't open stack @ARGV[0]: $!\n";

$lastline = "";

while (<cfile>) {
	if (/^\[/) { 
		if ($lastline ne "") {
			print "\n";
		}
		$lastline = $_;
	}
	print $_;
}
